location:
    source_directories:
        - /home/*
    repositories:
        - ssh://opal@server/data/opal/media/backups/laptop
    exclude_patterns:
        - /home/*/.cache
        - /home/*/.var
        - /home/*/.config/emacs
        - /home/*/.mozilla
        - /home/*/.thunderbird
        - /home/*/.w3m
        - /home/*/.ansible
        - /home/*/.keychain
        - /home/*/.pki

storage:
    encryption_passcommand: gopass show -o backups/laptop
    ssh_command: ssh -i ~/.ssh/ry_ecdsa -p 46668

retention:
    keep_daily: 7
    keep_weekly: 4
    keep_monthly: 6
    keep_yearly: 1

consistency:
    checks:
        - name: repository
    check_last: 3

hooks:
    before_backup:
        - echo "Starting a backup."
    after_backup:
        - echo "Finished a backup."
    on_error:
        - echo "Error during backup."
